Index: /trunk/SRC/ForOldVersion/keep_compatibility.pro
===================================================================
--- /trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 371)
+++ /trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 372)
@@ -20,5 +20,6 @@
 ;
 ; @examples
-; keep_compatibility, 0
+;
+;   IDL> keep_compatibility, 0
 ;
 ; @history
Index: /trunk/SRC/Interpolation/clickincell.pro
===================================================================
--- /trunk/SRC/Interpolation/clickincell.pro	(revision 371)
+++ /trunk/SRC/Interpolation/clickincell.pro	(revision 372)
@@ -10,7 +10,7 @@
 ; = 'T', 'W', 'U', 'V' or 'F'
 ; the type of point
-;     that is located in the center of the cell which the click is
-;     located. default is T type of cell (with corner defined by F
-;     points).
+; that is located in the center of the cell which the click is
+; located. default is T type of cell (with corner defined by F
+; points).
 ;
 ; @keyword DRAWCELL
Index: /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 371)
+++ /trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 372)
@@ -52,5 +52,5 @@
 ;
 ; @history
-;  June 2006: Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; June 2006: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ; @version
Index: /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 371)
+++ /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 372)
@@ -47,5 +47,5 @@
 ;
 ; @history
-;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ; @version
Index: /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 371)
+++ /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 372)
@@ -50,6 +50,6 @@
 ;
 ; @history
-;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;  March 2006: works for rectangular grids
+; November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; March 2006: works for rectangular grids
 ;
 ; @version
Index: /trunk/SRC/Interpolation/cutpar.pro
===================================================================
--- /trunk/SRC/Interpolation/cutpar.pro	(revision 371)
+++ /trunk/SRC/Interpolation/cutpar.pro	(revision 372)
@@ -57,6 +57,6 @@
 ;
 ; @history
-;           S. Masson (smasson\@lodyc.jussieu.fr)
-;           July 5th, 2002
+; S. Masson (smasson\@lodyc.jussieu.fr)
+;  - July 5th, 2002
 ;
 ; @version
Index: /trunk/SRC/Interpolation/fromirr.pro
===================================================================
--- /trunk/SRC/Interpolation/fromirr.pro	(revision 371)
+++ /trunk/SRC/Interpolation/fromirr.pro	(revision 372)
@@ -3,5 +3,6 @@
 ; @file_comments
 ; interpolate data from an irregular 2D grid to any 2D grid.
-;   Only 1 method available = bilinear
+;
+; Only 1 method available = bilinear
 ;
 ; @categories
@@ -46,4 +47,5 @@
 ;          dataout = total(weig*datain[addr], 1)
 ;          dataout = reform(dataout, jpio, jpjo, /over)
+;
 ; In that case, method, lonin, latin, are not used (but are necessary).
 ; lonout, latout are used only to know the output domain size
@@ -82,5 +84,5 @@
 ;
 ; @history
-;  June 2006: Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; June 2006: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ; @version
Index: /trunk/SRC/Interpolation/fromreg.pro
===================================================================
--- /trunk/SRC/Interpolation/fromreg.pro	(revision 371)
+++ /trunk/SRC/Interpolation/fromreg.pro	(revision 372)
@@ -3,7 +3,10 @@
 ; @file_comments
 ; interpolate data from a "regular/rectangular grid" to any grid.
-;   2 methods available: bilinear and imoms3
-;   A "regular/rectangular grid" is defined as a grid for which 
-; each longitude lines have the same latitude and each latitude columns 
+;
+; 2 methods available: bilinear and imoms3
+;
+; A "regular/rectangular grid" is defined as a grid for which 
+;
+; Each longitude lines have the same latitude and each latitude columns 
 ; have the same longitude.
 ;
@@ -42,4 +45,5 @@
 ;          dataout = total(weig*datain[addr], 1)
 ;          dataout = reform(dataout, jpio, jpjo, /over)
+;
 ; In that case, method, lonin, latin, are not used (but are necessary).
 ; lonout, latout are used only to know the output domain size
Index: /trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- /trunk/SRC/Interpolation/get_gridparams.pro	(revision 371)
+++ /trunk/SRC/Interpolation/get_gridparams.pro	(revision 372)
@@ -59,11 +59,15 @@
 ; @examples
 ;
-; 1) IDL> ncdf_get_gridparams, 'coordinates_ORCA_R05.nc', 'glamt', 'gphit' $
+; 1) 
+;
+;   IDL> ncdf_get_gridparams, 'coordinates_ORCA_R05.nc', 'glamt', 'gphit' $
 ;            , olon, olat, jpio, jpjo, 2
 ;
-; 2) IDL> ncdf_get_gridparams, olon, olat, jpio, jpjo, 2
+; 2) 
+;
+:   IDL> ncdf_get_gridparams, olon, olat, jpio, jpjo, 2
 ;
 ; @history
-;  November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; November 2005: Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
 ; @version
Index: /trunk/SRC/Interpolation/inrecgrid.pro
===================================================================
--- /trunk/SRC/Interpolation/inrecgrid.pro	(revision 371)
+++ /trunk/SRC/Interpolation/inrecgrid.pro	(revision 372)
@@ -2,6 +2,8 @@
 ;
 ; @file_comments
-; given - a list of points, (x,y) position
-;       - the x and y limits of a rectangular grid
+; given 
+;  - a list of points, (x,y) position
+;  - the x and y limits of a rectangular grid
+;
 ; find in which cell is located each given point.
 ;
@@ -48,6 +50,6 @@
 ; @history
 ; S. Masson (smasson\@lodyc.jussieu.fr)
-; July 3rd, 2002
-; October 3rd, 2003: use value_locate
+;  - July 3rd, 2002
+;  - October 3rd, 2003: use value_locate
 ;
 ; @version
Index: /trunk/SRC/Interpolation/quadrilateral2square.pro
===================================================================
--- /trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 371)
+++ /trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 372)
@@ -4,8 +4,9 @@
 ; warm (or map) an arbitrary quadrilateral onto a unit square
 ; according to the 4-point correspondences:
-;       (x0,y0) -> (0,0)
-;       (x1,y1) -> (1,0)
-;       (x2,y2) -> (1,1)
-;       (x3,y3) -> (0,1)
+;  - (x0,y0) -> (0,0)
+;  - (x1,y1) -> (1,0)
+;  - (x2,y2) -> (1,1)
+;  - (x3,y3) -> (0,1)
+;
 ; This is the inverse function of <pro>square2quadrilateral</pro>.
 ;
Index: /trunk/SRC/Interpolation/spl_fstdrv.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 371)
+++ /trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 372)
@@ -31,8 +31,8 @@
 ;
 ; @returns
-;    y2: f'(x2) = y2.
+; y2: f'(x2) = y2.
 ;
 ; @history
-;  Sebastien Masson (smasson\@lodyc.jussieu.fr): May 2005
+; Sebastien Masson (smasson\@lodyc.jussieu.fr): May 2005
 ;
 ; @version
Index: /trunk/SRC/Interpolation/spl_keep_mean.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 371)
+++ /trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 372)
@@ -47,5 +47,5 @@
 ; @examples
 ;
-;    12 monthly values of precipitations into daily values:
+; 12 monthly values of precipitations into daily values:
 ;
 ;   IDL> yr1 = 1990
@@ -68,5 +68,5 @@
 ;
 ; @history
-;  Sebastien Masson (smasson\@lodyc.jussieu.fr): May 2005
+; Sebastien Masson (smasson\@lodyc.jussieu.fr): May 2005
 ;
 ; @version
Index: /trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- /trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 371)
+++ /trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 372)
@@ -4,8 +4,9 @@
 ; warm (or map) a unit square onto an arbitrary quadrilateral
 ; according to the 4-point correspondences:
-;       (0,0) -> (x0,y0)
-;       (1,0) -> (x1,y1)
-;       (1,1) -> (x2,y2)
-;       (0,1) -> (x3,y3)
+;  - (0,0) -> (x0,y0)
+;  - (1,0) -> (x1,y1)
+;  - (1,1) -> (x2,y2)
+;  - (0,1) -> (x3,y3)
+;
 ; The mapping is done using perspective transformation which preserve
 ; lines in all orientations and permit quadrilateral to quadrilateral
@@ -59,10 +60,9 @@
 ;
 ; @history
-;      Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;      August 2003
-;      Based on "Digital Image Warping" by G. Wolberg
-;      IEEE Computer Society Press, Los Alamitos, California
-;      Chapter 3, see p 52-56
-;
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;  - August 2003
+;    Based on "Digital Image Warping" by G. Wolberg
+;    IEEE Computer Society Press, Los Alamitos, California
+;    Chapter 3, see p 52-56
 ;
 ; @version
Index: /trunk/SRC/Matrix/cmset_op.pro
===================================================================
--- /trunk/SRC/Matrix/cmset_op.pro	(revision 371)
+++ /trunk/SRC/Matrix/cmset_op.pro	(revision 372)
@@ -7,5 +7,6 @@
 ; "first" value, whatever that may mean.
 ;
-; @todo seb
+; @todo
+; seb
 ;
 ;-
Index: /trunk/SRC/Matrix/different.pro
===================================================================
--- /trunk/SRC/Matrix/different.pro	(revision 371)
+++ /trunk/SRC/Matrix/different.pro	(revision 372)
@@ -9,6 +9,6 @@
 ; @param a {in}{required}
 ; arrays of positive integers, which need
-;               not be sorted. Duplicate elements are ignored, as they have no
-;               effect on the result
+; not be sorted. Duplicate elements are ignored, as they have no
+; effect on the result
 ;
 ; @param b {in}{required}
Index: /trunk/SRC/Matrix/extrac2.pro
===================================================================
--- /trunk/SRC/Matrix/extrac2.pro	(revision 371)
+++ /trunk/SRC/Matrix/extrac2.pro	(revision 372)
@@ -37,6 +37,7 @@
 ; @param index1 {in}{required}
 ; can have 2 forms:
-; 1)a vector containing indexes of lines we want to keep
-; 2)the string '*' if we want to keep all lines.
+;
+;  1) a vector containing indexes of lines we want to keep
+;  2) the string '*' if we want to keep all lines.
 ;
 ; @param index2 {in}{required}
@@ -50,5 +51,5 @@
 ;
 ; @returns
-; a matrix 1,2,3 or 4d extract from input array
+; a matrix 1d, 2d, 3d or 4d extract from input array
 ; -1 in case of mistake
 ;
@@ -62,4 +63,5 @@
 ;
 ; other ex:
+;   IDL> a=[['a','b','c'],['d','e','f'],['g','h','i']]
 ;   IDL> print, a
 ; a b c
@@ -72,6 +74,6 @@
 ; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;                       12/1/1999
-;                       29/4/1999: correction of a bug and complement of the heading
+;  - 12/1/1999
+;  - 29/4/1999: correction of a bug and complement of the heading
 ;
 ; @version
Index: /trunk/SRC/Matrix/make_selection.pro
===================================================================
--- /trunk/SRC/Matrix/make_selection.pro	(revision 371)
+++ /trunk/SRC/Matrix/make_selection.pro	(revision 372)
@@ -47,21 +47,27 @@
 ;
 ; @examples
-;           names = [ 'Alfred','Anton','Peter','John','Mary']
-;           index = MAKE_SELECTION(names,['Peter','Mary'])
-;           print,index
-;           ; prints  2  4
 ;
-;           vals = indgen(20)
-;           index = MAKE_SELECTION(vals,[9,-5,8,7,7,8,9])
-;           print,index
-;           ; prints  9  -1  8  7  7  8  9
+;   IDL> names = [ 'Alfred','Anton','Peter','John','Mary']
+;   IDL> index = MAKE_SELECTION(names,['Peter','Mary'])
+;   IDL> print,index
+;   2  4
 ;
-;           index = MAKE_SELECTION(vals,[9,-5,8,7,7,8,9],/ONLY_VALID)
-;           print,index
-;           ; prints  9  8  7  7  8  9
+;   IDL> vals = indgen(20)
+;   IDL> index = MAKE_SELECTION(vals,[9,-5,8,7,7,8,9])
+;   IDL> print,index
+;   9  -1  8  7  7  8  9
 ;
-;           index = MAKE_SELECTION(vals,[9,-5,8,7,7,8,9],/REQUIRED)
-;           print,index
-;           ; prints  -1
+;   IDL> index = MAKE_SELECTION(vals,[9,-5,8,7,7,8,9],/ONLY_VALID)
+;   IDL> print,index
+;   9  8  7  7  8  9
+;
+;   IDL> index = MAKE_SELECTION(vals,[9,-5,8,7,7,8,9],/REQUIRED)
+;   IDL> print,index
+;   -1
+;
+;   IDL> index = MAKE_SELECTION(vals,[9,-5,8,7,7,8,9],/REQUIRED,/QUIET)
+;   % MAKE_SELECTION: Selected name not found in names array (-5)!
+;   IDL> print,index
+;   -1
 ;
 ; @history
Index: /trunk/SRC/Matrix/union.pro
===================================================================
--- /trunk/SRC/Matrix/union.pro	(revision 371)
+++ /trunk/SRC/Matrix/union.pro	(revision 372)
@@ -9,6 +9,6 @@
 ; @param a {in}{required}
 ; arrays of positive integers, which need
-;               not be sorted. Duplicate elements are ignored, as they have no
-;               effect on the result
+; not be sorted. Duplicate elements are ignored, as they have no
+; effect on the result
 ;
 ; @param b {in}{required} 
Index: /trunk/SRC/ReadWrite/ncdf_getatt.pro
===================================================================
--- /trunk/SRC/ReadWrite/ncdf_getatt.pro	(revision 371)
+++ /trunk/SRC/ReadWrite/ncdf_getatt.pro	(revision 372)
@@ -59,5 +59,6 @@
 ;
 ; @keyword _EXTRA
-; defined only to be able to call ncdf_getatt with the _extra keyword
+; defined only to be able to call <pro>ncdf_getatt</pro> with the 
+; _EXTRA keyword
 ;
 ; @examples
Index: /trunk/SRC/ReadWrite/ncdf_getmask.pro
===================================================================
--- /trunk/SRC/ReadWrite/ncdf_getmask.pro	(revision 371)
+++ /trunk/SRC/ReadWrite/ncdf_getmask.pro	(revision 372)
@@ -11,4 +11,5 @@
 ; the full path) to be opened (in that case, the file will be opened
 ; and closed within ncdf_getmask).
+;
 ; if fileid is a scalar then it is the id of the file return by a call
 ; to ncdf_open outside of ncdf_getmask (in that case, the file will
@@ -16,5 +17,5 @@
 ;
 ; @keyword ADDSCL_BEFORE {default=0}{type=scalar: 0 or 1}
-; put 1 to apply add_offset ad scale factor on data before looking for
+; put 1 to apply add_offset and scale factor on data before looking for
 ; missing values when using USEASMASK keyword
 ;
@@ -46,4 +47,5 @@
 ; mask. The test is performed on the variable specified by USEASMASK
 ; keyword.
+;
 ; TESTOP can contain 1 or 2 words. The first word is the operator
 ; definition: "EQ" "NE" "GE" "GT" "LE" "LT" (default is NE). The
Index: /trunk/SRC/ReadWrite/readbat.pro
===================================================================
--- /trunk/SRC/ReadWrite/readbat.pro	(revision 371)
+++ /trunk/SRC/ReadWrite/readbat.pro	(revision 372)
@@ -10,5 +10,6 @@
 ; It contains the filename,
 ;
-; @keyword ZERO to put 0 on land instead of negatives values for the islands.
+; @keyword ZERO
+; to put 0 on land instead of negatives values for the islands.
 ;
 ; @returns
@@ -18,5 +19,5 @@
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      May 31, 2002
-;    based on batlec2.pro, written by Maurice Imbard, March 17, 1998
+; based on batlec2.pro, written by Maurice Imbard, March 17, 1998
 ;
 ; @version
Index: /trunk/SRC/ReadWrite/readoldopadistcoast.pro
===================================================================
--- /trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 371)
+++ /trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 372)
@@ -4,4 +4,5 @@
 ; read the old binary direct access file that contains the
 ; distance to the coast in OPA.
+;
 ; based on the OPA subroutines dtacof and parctl
 ;
Index: /trunk/SRC/Textoidl/textoidl.pro
===================================================================
--- /trunk/SRC/Textoidl/textoidl.pro	(revision 371)
+++ /trunk/SRC/Textoidl/textoidl.pro	(revision 372)
@@ -31,9 +31,11 @@
 ;
 ; @examples
-;       out = TeXtoIDL('\Gamma^2 + 5N_{ed}')
-;       The string out may be used in XYOUTS or other IDL text
-;       display routines.  It will be an uppercase Gamma, with an
-;       exponent of 2, then a plus sign, then an N with the subscript
-;       ed.
+;
+;   IDL> out = TeXtoIDL('\Gamma^2 + 5N_{ed}')
+;
+; The string out may be used in XYOUTS or other IDL text
+; display routines.  It will be an uppercase Gamma, with an
+; exponent of 2, then a plus sign, then an N with the subscript
+; "ed".
 ;
 ; @history
Index: /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 372)
@@ -4,6 +4,7 @@
 ; In a string containing an order to execute with EXECUTE by example.
 ; We change the value of one of keywords.
-; More generally, in a string, we look for the character chain: ', keywdname= ...,
-; and we change the value of...
+;
+; More generally, in a string, we look for the character 
+; chain: ', keywdname= ..., and we change the value of...
 ;
 ; @categories
@@ -45,5 +46,5 @@
 ;
 ; @restrictions
-; Beware, this function has loops, ifs ad cases everywhere. So it can
+; Beware, this function has loops, ifs and cases everywhere. So it can
 ; not be used by big keywords (with a lot of elements which are big
 ; arrays). The input keyword must not contain Complex floatings, structure,
@@ -69,6 +70,6 @@
 ; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
-;                      18/10/1999
-;                      24/11/1999: adaptation for keywords starting by /
+;  - 18/10/1999
+;  - 24/11/1999: adaptation for keywords starting by /
 ;
 ; @version
Index: /trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 372)
@@ -28,13 +28,13 @@
 ;
 ; @history
-;       R. Sterner, 20 Mar, 1990
-;       R. Sterner, 1999 Apr 14 --- Added LINES=n keyword.
-;       R. Sterner, 2003 Aug 29 --- Automatic lines if IDL 5.6+.
-;       R. Sterner, 2003 Sep 02 --- Check if file exists first.
-;       R. Sterner, 2003 Sep 04 --- Fixed error in number of lines in file.
-;       R. Sterner, 2003 Oct 10 --- Fixed error when no lines.
-;       R. Sterner, 2004 Jan 27 --- Fixed to work in IDL as old as vers 4.
+;  - R. Sterner, 20 Mar, 1990
+;  - R. Sterner, 1999 Apr 14 --- Added LINES=n keyword.
+;  - R. Sterner, 2003 Aug 29 --- Automatic lines if IDL 5.6+.
+;  - R. Sterner, 2003 Sep 02 --- Check if file exists first.
+;  - R. Sterner, 2003 Sep 04 --- Fixed error in number of lines in file.
+;  - R. Sterner, 2003 Oct 10 --- Fixed error when no lines.
+;  - R. Sterner, 2004 Jan 27 --- Fixed to work in IDL as old as vers 4.
+;  - S. Masson (smasson\@lodyc.jussieu.fr) 4 Feb 2002
 ;
-;       S. Masson (smasson\@lodyc.jussieu.fr) 4 Feb 2002
 ;       search the file in the all !path directories (use <pro>find</pro>)
 ;       when using /find keyword. Use <proidl>SPAWN</proidl>, 'cat...' for 
Index: /trunk/SRC/ToBeReviewed/STRING/getwrd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/getwrd.pro	(revision 372)
@@ -18,5 +18,5 @@
 ;
 ; @keyword LOCATION
-; = l.  Return word n string location.
+; = l. Return word n string location.
 ;
 ; @keyword DELIMITER
@@ -50,14 +50,13 @@
 ;
 ; @history
-;       Ray Sterner,  6 Jan, 1985.
-;       R. Sterner, Fall 1989 --- converted to SUN.
-;       R. Sterner, Jan 1990 --- added delimiter.
-;       R. Sterner, 18 Mar, 1990 --- added /LAST.
-;       R. Sterner, 31 Jan, 1991 --- added /NOTRIM.
-;       R. Sterner, 20 May, 1991 --- Added common and NULL string.
-;       R. Sterner, 13 Dec, 1992 --- Made tabs equivalent to spaces.
-;       R. Sterner,  4 Jan, 1993 --- Added NWORDS keyword.
-;       R. Sterner, 2001 Jan 15 --- Fixed to use first element if not a scalar.
-;       Johns Hopkins University Applied Physics Laboratory.
+;  - Ray Sterner,  6 Jan, 1985.
+;  - R. Sterner, Fall 1989 --- converted to SUN.
+;  - R. Sterner, Jan 1990 --- added delimiter.
+;  - R. Sterner, 18 Mar, 1990 --- added /LAST.
+;  - R. Sterner, 31 Jan, 1991 --- added /NOTRIM.
+;  - R. Sterner, 20 May, 1991 --- Added common and NULL string.
+;  - R. Sterner, 13 Dec, 1992 --- Made tabs equivalent to spaces.
+;  - R. Sterner,  4 Jan, 1993 --- Added NWORDS keyword.
+;  - R. Sterner, 2001 Jan 15 --- Fixed to use first element if not a scalar.
 ;
 ; Copyright (C) 1985, Johns Hopkins University/Applied Physics Laboratory
Index: /trunk/SRC/ToBeReviewed/STRING/isnumber.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/isnumber.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/isnumber.pro	(revision 372)
@@ -23,9 +23,8 @@
 ; 
 ; @history
-;       R. Sterner.  15 Oct, 1986.
-;       Johns Hopkins Applied Physics Lab.
-;       R. Sterner, 12 Mar, 1990 --- upgraded.
-;       Richard Garrett, 14 June, 1992 --- fixed bug in returned float value.
-;       R. Sterner, 1999 Nov 30 --- Fixed a bug found by Kristian Kjaer, Denmark
+;  - R. Sterner.  15 Oct, 1986. Johns Hopkins Applied Physics Lab.
+;  - R. Sterner, 12 Mar, 1990 --- upgraded.
+;  - Richard Garrett, 14 June, 1992 --- fixed bug in returned float value.
+;  - R. Sterner, 1999 Nov 30 --- Fixed a bug found by Kristian Kjaer, Denmark
 ;
 ; Copyright (C) 1986, Johns Hopkins University/Applied Physics Laboratory
Index: /trunk/SRC/ToBeReviewed/STRING/nwrds.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/nwrds.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/nwrds.pro	(revision 372)
@@ -10,5 +10,5 @@
 ;
 ; @keyword DELIMITER
-; = d.  Set delimiter character (def = space).
+; = d. Set delimiter character (def = space).
 ; 
 ; @keyword HELP
@@ -18,10 +18,9 @@
 ; 
 ; @restrictions
-; See also getwrd.
+; See also <pro>getwrd</pro>
 ; 
 ; @history
-;       R. Sterner,  7 Feb, 1985.
-;       Johns Hopkins University Applied Physics Laboratory.
-;       RES 4 Sep, 1989 --- converted to SUN.
+;  - R. Sterner,  7 Feb, 1985. Johns Hopkins University Applied Physics Laboratory.
+;  - RES 4 Sep, 1989 --- converted to SUN.
 ;
 ; Copyright (C) 1985, Johns Hopkins University/Applied Physics Laboratory
Index: /trunk/SRC/ToBeReviewed/STRING/putfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/putfile.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/putfile.pro	(revision 372)
@@ -16,6 +16,6 @@
 ; 
 ; @history
-;       R. Sterner, 20 Mar, 1990
-;       R. Sterner,  4 Nov, 1992 --- allowed scalar strings.
+;  - R. Sterner, 20 Mar, 1990
+;  - R. Sterner,  4 Nov, 1992 --- allowed scalar strings.
 ;
 ; Copyright (C) 1990, Johns Hopkins University/Applied Physics Laboratory
Index: /trunk/SRC/ToBeReviewed/STRING/str_size.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 372)
@@ -39,6 +39,6 @@
 ; the current graphics window, type this:
 ;
-;   XYOUTS, 0.5, 0.5, ALIGN=0.5, "Happy Holidays", $
-;   CHARSIZE=STR_SIZE("Happy Holidays", 0.3)
+;   IDL> XYOUTS, 0.5, 0.5, ALIGN=0.5, "Happy Holidays", $
+;        CHARSIZE=STR_SIZE("Happy Holidays", 0.3)
 ;
 ; @history
Index: /trunk/SRC/ToBeReviewed/STRING/string2struct.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/string2struct.pro	(revision 372)
@@ -5,5 +5,4 @@
 ;
 ; @categories
-;
 ;
 ; @keyword _EXTRA
Index: /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/strkeywd.pro	(revision 372)
@@ -16,8 +16,9 @@
 ;
 ; @restrictions
-; If an element of the structure contain an array, it will be convert in a vector.
+; If an element of the structure contain an array, it will be convert in a 
+; vector.
 ;
 ; @restrictions
-; Beware, this function has loops, ifs ad cases everywhere. So it can 
+; Beware, this function has loops, ifs and cases everywhere. So it can 
 ; not be used by big keywords (with a lot of elements which are big 
 ; arrays). The input keyword must not contain Complex floatings, structure, 
@@ -27,5 +28,5 @@
 ; @examples
 ;
-; We create a structure
+; We create a structure:
 ;   IDL> b=get_extra(ok=111, year=[1997,1998,1999], age_capitaine=35)
 ;   IDL> help, b,/struct
@@ -35,5 +36,5 @@
 ;          YEAR            INT       Array[3]
 ;
-; We put this structure as a string
+; We put this structure as a string:
 ;   IDL> a=strkeywd(b)
 ;   IDL> print, a
Index: /trunk/SRC/ToBeReviewed/STRING/strsci.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/strsci.pro	(revision 372)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; Given a number, returns a string of that          B
+; Given a number, returns a string of that B
 ; number in scientific notation format ( e.g. A x 10  )
 ;
@@ -39,18 +39,20 @@
 ;
 ; @examples
-;        Result = STRSCI( 2000000, format='(i1)' )
-;        print, result                
-;        ;                                                     6
-;        ;     prints 2 x 10!u6!n, which gets plotted as 2 x 10 
+;
+;   IDL> Result = STRSCI( 2000000, format='(i1)' )
+;   IDL> print, result                
+;   2 x 10!u6!n
+; 
+; which gets plotted as 2 x 10 
 ;        
-;        Result = STRSCI( -0.0001 )
-;        print, result
-;        ;                                                            4
-;        ;     prints -1.00 x 10!u-4!n, which gets plotted as 1.00 x 10
+;   IDL> Result = STRSCI( -0.0001 )
+;   IDL> print, result
+;   -1.00 x 10!u-4!n
 ;
-;        Result = STRSCI( 0d0, format='(f13.8)' )
-;        print, result
-;        ;
-;        ;     prints, 0.00000000
+; which gets plotted as 1.00 x 10
+;
+;   IDL> Result = STRSCI( 0d0, format='(f13.8)' )
+;   IDL> print, result
+;   0.00000000
 ; 
 ;
Index: /trunk/SRC/ToBeReviewed/STRING/strsed.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strsed.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/strsed.pro	(revision 372)
@@ -18,5 +18,6 @@
 ;
 ; @keyword FOLD_CASE
-; Indicates that the regular expression matching should be done in a case-insensitive fashion.
+; Indicates that the regular expression matching should be done in 
+; a case-insensitive fashion.
 ;
 ; @returns
Index: /trunk/SRC/ToBeReviewed/STRING/strtok.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 372)
@@ -29,10 +29,10 @@
 ;
 ; @examples
-;       If old is 'foo44 bar', then strtok( old, '44' ) would return
-;       'foo', and upon return, old will be left with ' bar'.  If /TRIM
-;       were set, old would be 'bar' on return.
+; If old is 'foo44 bar', then strtok( old, '44' ) would return
+; 'foo', and upon return, old will be left with ' bar'.  If /TRIM
+; were set, old would be 'bar' on return.
 ;
-;       If old='xyz', then new=strtok(old,'a') would return with
-;       new='xyz' and old=''.
+; If old='xyz', then new=strtok(old,'a') would return with
+; new='xyz' and old=''.
 ;
 ; @history
Index: /trunk/SRC/ToBeReviewed/STRING/tostr.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/tostr.pro	(revision 371)
+++ /trunk/SRC/ToBeReviewed/STRING/tostr.pro	(revision 372)
@@ -10,7 +10,7 @@
 ; input can not contain or be of the type of:
 ;
-;   Complex floating, structure, Double-precision complex, Pointer, Object
-;   reference, Unsigned Integer, Unsigned Longword Integer, 64-bit
-;   Integer, Unsigned 64-bit Integer	
+; Complex floating, structure, Double-precision complex, Pointer, Object
+; reference, Unsigned Integer, Unsigned Longword Integer, 64-bit
+; Integer, Unsigned 64-bit Integer	
 ;
 ; @returns
@@ -21,5 +21,5 @@
 ;
 ; @restrictions
-; Beware, this function has loops, ifs ad cases everywhere. So it can 
+; Beware, this function has loops, ifs and cases everywhere. So it can 
 ; not be used by big keywords (with a lot of elements which are big 
 ; arrays).
Index: /trunk/SRC/Utilities/report.pro
===================================================================
--- /trunk/SRC/Utilities/report.pro	(revision 371)
+++ /trunk/SRC/Utilities/report.pro	(revision 372)
@@ -68,5 +68,5 @@
 ; we separate the text in different lines (separated by !C) if it is not already done...
   if n_elements(textin) EQ 1 then text = '% ' + str_sep(textin, '!C', /trim) ELSE text = '% ' + textin
-; we get the line, routine name ad revision version
+; we get the line, routine name and revision version
   IF NOT keyword_set(simple) THEN BEGIN
 ;    Look for the revsion in the code of the procedure/function calling this 