Index: trunk/SRC/Documentation/xmldoc/doidldoc.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 375)
+++ trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 376)
@@ -6,4 +6,10 @@
 # update :
 # $Id$
+# ++ pb PATH introduire SAXO_PATH
+# fplod 2008-06-20T13:07:59Z aedon.locean-ipsl.upmc.fr (Darwin)
+# evaluation version 3.1.1
+# we are not yet still ready to migrate to rst format because of lack of
+# assistant
+# transformation independant of IDLdoc release (at least between 2. and 3.)
 # fplod 2008-01-10T08:13:41Z aedon.locean-ipsl.upmc.fr (Darwin)
 # version 
@@ -39,10 +45,9 @@
 # pas ok ne reconnait pas les @param, @keyword
 #
-set -x
 set -u
 # ++ test si idl (car gdl inutilisable)
 application=idl
 assistant=0
-transform=0
+transform=1
 title="SAXO Documentation" # ++ parametre
 root="../../"
@@ -53,12 +58,9 @@
 #
 idldoc_dir="../idldoc/" # 
-idldoc_dir="/usr/home/fplod/src/idldoc-3.0b3/" # overriding idldoc_dir for ctest ++
-#idldoc_dir="/usr/home/fplod/src/idldoc-3.0b4-src/" # overriding idldoc_dir for test ++
-idldoc_dir="/usr/home/fplod/src/idldoc-3.0b4/" # overriding idldoc_dir for test ++
-idldoc_dir="/usr/home/fplod/src/idldoc-3.0rc2/" # overriding idldoc_dir for test ++
+idldoc_dir="/usr/home/fplod/src/idldoc-3.1.1/" # overriding idldoc_dir for ctest ++
 template_location=${idldoc_dir}/templates/
 #++ pas fini 
-template_location=${idldoc_dir}/templates_dbk/ # overriding TEMPLATE_LOCATION++
-template_location=/usr/home/fplod/src/idldoc-3.0b3/templates_dbk/ # overriding TEMPLATE_LOCATION++
+#template_location=${idldoc_dir}/templates_dbk/ # overriding TEMPLATE_LOCATION++
+#template_location=/usr/home/fplod/src/idldoc-3.0b3/templates_dbk/ # overriding TEMPLATE_LOCATION++
 #
 # memorize current directory
@@ -72,27 +74,19 @@
 log="/tmp/idldochtml_${$}.log"
 pro="/tmp/idldochtml_${$}.pro"
-
-#+++ a remettre pour dbk template_location="${template_location}", $
-#++MARKUP_STYLE="verbatim", $
-# !path = expand_path('+' + '${idldoc_dir}')
+#
 cd ${idldoc_dir}
-pwd
-read a
-cat <<EOF > ${pro}
+cat << EOF > ${pro}
+!path = expand_path('+' + '${idldoc_dir}')
 idldoc,root="${root}",title="${title}", $
 CHARSET="ISO-8859-15", $
 LOG_FILE="${log}", $
 output="${outputtmp}", $
-template_prefix="dbk", $
-template_location="${template_location}", $
-overview="../../overview", /statistics, $
-COMMENT_STYLE="assistant"
+overview="../../overview", /statistics
 exit
 EOF
-more ${pro}
-read a
 # launch idl with the file built above
-IDL_STARTUP=${pro};${application}
-/bin/rm ${pro}
+export IDL_STARTUP=${pro}
+${application}
+rm ${pro}
 #
 if [ ${transform} -eq 1 ]
@@ -106,23 +100,6 @@
 # <td><a href="../../Calendar/caldat.pro" title="Source code of a file">Source</a></td>
 #
-# - remove date and time of idldoc production
-# examples :
-# <!-- Generated by IDLdoc 2.0 on Wed Jun  7 10:25:28 2006 -->
-# will be replaced by
-# <!-- Generated by IDLdoc 2.0 -->
-# <div id="tagline">Produced by IDLdoc 2.0 on Wed Jun  7 10:54:37 2006.</div
-# will be replaced by
-# <div id="tagline">Produced by IDLdoc 2.0</div>
-# <h2>Produced on Wed Jun  7 10:23:13 2006</h2>
-# will be delete
-# other lines will be deleted because the time is the time of checkout not
-# the time of revision.
-# the sequence of lines
-#<dl>
-#      <dt>Last modification:</dt>
-#       <dd>Fri Jun  2 11:46:24 2006</dd>
-#    </dl>
-# should also be removed ++ je ne sais pas dire en sed la ligne
-# suivant l'occurence de Last modification
+# - remove version, date and time of idldoc production
+# ++ je ne sais pas dire en sed la ligne suivant l'occurence de Modification date
 #
 # count of directory levels in output
@@ -166,9 +143,9 @@
 do
  sed \
- -e "s/\(Generated by IDLdoc 2.0\)\( on .*\)\( -->\)/\1\3/" \
- -e "s/\(Produced by IDLdoc 2.0\)\( on .*\)\(\.<\/div>\)/\1\3/" \
+ -e "s/\(Generated by IDLdoc\)\( .* on .*\)\( -->\)/\1\3/" \
+ -e "s/\(Produced by IDLdoc\)\( .* on .*\)\(<\/td>\)/\1\3/" \
  -e "/<h2>Produced on/d" \
- -e "/Last modification:/d" \
- -e "/<dd>... ... .* ..:..:.. ....<\/dd>/d" \
+ -e "/Modifcation:/d" \
+ -e "/<td>... ... .* ..:..:.. ....<\/td>/d" \
  -e 's@<div class="value">@<div class="preformat">@' \
  -e 's/div\#file_comments {/div\#file_comments { white-space: pre;/' \
@@ -191,18 +168,18 @@
 # replace <pro>ginette</pro> by a sequence like
 # <a href="./ginette.html">ginette</a>
-./pro2href.sh -i ${outputtmp} -r ${outputtmp} -e pro
+pro2href.sh -i ${outputtmp} -r ${outputtmp} -e pro
 status=${?}
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during ./pro2href.sh for <pro>...</pro>"
+   echo "eee : pb during pro2href.sh for <pro>...</pro>"
    exit 1
 fi
 # replace <proidl>ginette</proidl> by a sequence like
 # <a href="./ginette.html">ginette</a>
-./pro2href.sh -i ${outputtmp} -r ${IDL_DIR}/help/online_help -e proidl
+pro2href.sh -i ${outputtmp} -r ${IDL_DIR}/help/online_help -e proidl
 status=${?}
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during ./pro2href.sh for <proidl>...</proidl>"
+   echo "eee : pb during pro2href.sh for <proidl>...</proidl>"
    exit 1
 fi
@@ -276,18 +253,18 @@
 # replace <pro>ginette</pro> by a sequence like
 # <a href="./ginette.html">ginette</a>
-./pro2href.sh -i ${outputtmp} -r ${outputtmp} -e pro
+pro2href.sh -i ${outputtmp} -r ${outputtmp} -e pro
 status=${?}
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during ./pro2href.sh for <pro>...</pro>"
+   echo "eee : pb during pro2href.sh for <pro>...</pro>"
    exit 1
 fi
 # replace <proidl>ginette</proidl> by a sequence like
 # <a href="./ginette.html">ginette</a>
-./pro2href.sh  -i ${outputtmp} -r ${IDL_DIR}/help/online_help -e proidl
+pro2href.sh  -i ${outputtmp} -r ${IDL_DIR}/help/online_help -e proidl
 status=${?}
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during ./pro2href.sh for <proidl>...</proidl>"
+   echo "eee : pb during pro2href.sh for <proidl>...</proidl>"
    exit 1
 fi
Index: trunk/SRC/Documentation/xmldoc/faqsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 375)
+++ trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 376)
@@ -244,6 +244,6 @@
 <listitem>
 <para>
-<guimenu>Search</guimenu> doesn't handle characters like <literal>-</literal>
-and <literal>|</literal>.
+The search facility (<guimenu>Search</guimenu>) doesn't handle characters 
+like <literal>-</literal> and <literal>|</literal>.
 </para>
 </listitem>
Index: trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl
===================================================================
--- trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl	(revision 375)
+++ trunk/SRC/Documentation/xmldoc/saxo_tracwiki.xsl	(revision 376)
@@ -15,8 +15,15 @@
 must be followed by awk -f saxo_trackwiki.awk
 because I did not yet correctly handle "* text" (with no linefeed)
+
 update :
 $Id$
-++
 ++ voir http://trac-hacks.org/wiki/XsltMacro
+++ add menu tags menuchoice, gui*, shortcut, keycombo, etc.
+fplod 2008-08-06T09:38:26Z aedon.locean-ipsl.upmc.fr (Darwin)
+add qanda tags (see ugly http://forge.ipsl.jussieu.fr/saxo/wiki/FaqSaxo
+vs http://forge.ipsl.jussieu.fr/saxo/download/xmldoc/faqsaxo.html)
+add programlisting management
+fplod 2008-08-11T10:15:40Z aedon.locean-ipsl.upmc.fr (Darwin)
+ menu tags in comments because to ugly ... problem with these tags vs item in lists
 fplod 2008-04-18T13:01:50Z aedon.locean-ipsl.upmc.fr (Darwin)
 pompage de href="http://docbook.sourceforge.net/release/xsl/current/html/xref.xsl
@@ -62,4 +69,10 @@
 </xsl:template>
 
+<xsl:template match="d:qandadiv/d:title">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>== </xsl:text><xsl:value-of select="normalize-space(.)"/><xsl:text> ==</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
 <xsl:template match="d:sect2/d:title">
  <xsl:text>&#xA;</xsl:text>
@@ -76,4 +89,18 @@
 </xsl:template>
 
+<xsl:template match="d:qandaentry/d:question/d:para">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:variable name="newtitle">
+  <xsl:call-template name="replace-string">
+   <xsl:with-param name="text" select="normalize-space(.)"/>
+   <xsl:with-param name="replace" select="'&gt;'"/>
+<!-- do not how to write > instead of &gt; ++. need sed features --> 
+   <xsl:with-param name="with" select="'&gt;'"/>
+  </xsl:call-template>
+ </xsl:variable>
+ <xsl:text>=== </xsl:text><xsl:value-of select="$newtitle"/><xsl:text> ===</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
 <xsl:template match="d:sect3/d:title">
  <xsl:text>&#xA;</xsl:text>
@@ -131,4 +158,21 @@
 
 <xsl:template match="d:screen">
+ <!-- 
+we open an HTML block because it is not possible to have font effect (bold, italic) using TracWiki
+ -->
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!html</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <pre class="screen">
+ <xsl:apply-templates/>
+ </pre>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<xsl:template match="d:programlisting">
  <!-- 
 we open an HTML block because it is not possible to have font effect (bold, italic) using TracWiki
@@ -340,4 +384,31 @@
  <xsl:text>&#xA;</xsl:text>
 </xsl:template>
+
+<xsl:template match="d:informaltable">
+<!-- but beware of links inside -->
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!docbook</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:copy-of select="."/>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+
+<!-- ++ pb when in listitem/para
+<xsl:template match="d:menuchoice|d:guimenu|d:guisubmenu">
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>{{{</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>#!docbook</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:copy-of select="."/>
+ <xsl:text>&#xA;</xsl:text>
+ <xsl:text>}}}</xsl:text>
+ <xsl:text>&#xA;</xsl:text>
+</xsl:template>
+-->
 
 <xsl:template match="d:informaltable">
Index: trunk/SRC/Documentation/xmldoc/wiki/FaqSaxo
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/FaqSaxo	(revision 375)
+++ trunk/SRC/Documentation/xmldoc/wiki/FaqSaxo	(revision 376)
@@ -18,9 +18,11 @@
 
 
-General
-
-
-
-What is SAXO ?
+
+== General ==
+
+
+
+
+=== What is SAXO ? ===
 
 
@@ -34,5 +36,5 @@
 
 
-How can I get help ?
+=== How can I get help ? ===
 
 
@@ -46,5 +48,5 @@
 
 
-How do I get SAXO ?
+=== How do I get SAXO ? ===
 
 
@@ -58,25 +60,25 @@
 
 
-What is the current version of SAXO ?
-
-
-
-
-
-
-
-
-
-On what systems does SAXO run ?
-
-
-
-
-
-
-
-
-
-Does SAXO works with GDL instead of IDL ?
+=== What is the current version of SAXO ? ===
+
+
+
+
+
+
+
+
+
+=== On what systems does SAXO run ? ===
+
+
+
+
+
+
+
+
+
+=== Does SAXO works with GDL instead of IDL ? ===
 
 
@@ -89,38 +91,40 @@
 
 
-When is the next version of SAXO due out ?
-
-
-
-
-
-
-
-
-
-How can I find if a routine to do what I want already exists ?
-
-
-
-
-
-
-
-
-
-How should SAXO be cited or acknowledged in publication ?
-
-
-
-
-
-
-
-
-Technical questions
-
-
-
-Is there on-line help for SAXO ?
+=== When is the next version of SAXO due out ? ===
+
+
+
+
+
+
+
+
+
+=== How can I find if a routine to do what I want already exists ? ===
+
+
+
+
+
+
+
+
+
+=== How should SAXO be cited or acknowledged in publication ? ===
+
+
+
+
+
+
+
+
+
+== Technical questions ==
+
+
+
+
+=== Is there on-line help for SAXO ? ===
 
 
@@ -140,9 +144,11 @@
 
 
-Contributors
-
-
-
-Is there an SAXO Style Guide available ?
+
+== Contributors ==
+
+
+
+
+=== Is there an SAXO Style Guide available ? ===
 
 
@@ -164,4 +170,7 @@
 in your {{{${HOME}/.emacs}}} like this :
 
+{{{
+#!html
+<pre xmlns:xl="http://www.w3.org/1999/xlink" class="screen">
 (add-hook 'idlwave-mode-hook
   (function
@@ -169,11 +178,13 @@
      (setq idlwave-file-header '("'''''SAXO_basedirectory'''''/SAXO_DIR/SRC/Documentation/new_header.txt")
     ))))
-
-
-
-
-
-
-Is there any trouble with IDLdoc ?
+</pre>
+}}}
+
+
+
+
+
+
+=== Is there any trouble with IDLdoc ? ===
 
 
@@ -186,6 +197,6 @@
 They must be escaped by an other {{{\}}} or you can choose an other character.
 
- * Search doesn't handle characters like {{{-}}}
-and {{{|}}}.
+ * The search facility (Search) doesn't handle characters 
+like {{{-}}} and {{{|}}}.
 
  * Paragraphs of {{{*.pro}}} headers are shown with a proportional
@@ -209,5 +220,5 @@
 
 
-How can I check spelling of XML files ?
+=== How can I check spelling of XML files ? ===
 
 
@@ -228,5 +239,5 @@
 
 
-How can I check spelling of IDL files ?
+=== How can I check spelling of IDL files ? ===
 
 
@@ -267,5 +278,5 @@
 
 
-How can I see online help update ?
+=== How can I see online help update ? ===
 
 
Index: trunk/SRC/Documentation/xmldoc/wiki/GetSaxo
===================================================================
--- trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 375)
+++ trunk/SRC/Documentation/xmldoc/wiki/GetSaxo	(revision 376)
@@ -66,5 +66,5 @@
 ==== Regular users ====
 
-The '''complete''' latest revision (source + tests data files: 773 Mb) can be checked out with the following command executed in your ${HOME}:
+The '''complete''' latest revision (source + tests data files: 771 Mb) can be checked out with the following command executed in your ${HOME}:
 
 {{{
@@ -75,5 +75,5 @@
 }}}
 
-The latest revision of the '''source files''' (46 Mb) can be checked out with the following command:
+The latest revision of the '''source files''' (44 Mb) can be checked out with the following command:
 
 {{{