Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/createfunc.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/createfunc.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/createfunc.html	(revision 402)
@@ -171,4 +171,5 @@
  to specify a list of keywords that must be included in the 
  function definition. 
+
  Warning: the string must start with a ',' 
  for example: KWDLIST=', TOTO=toto'
@@ -193,12 +194,13 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> print, createfunc('3*2', FILENAMEIN='test')
- IDL> print, createfunc('3*two', FILENAMEIN='test' $
- IDL>                          , KWDLIST='two = two', TWO=2)
+
+   IDL> print, createfunc('3*2', FILENAMEIN='test')
+   IDL> print, createfunc('3*two', FILENAMEIN='test' $
+   IDL>                          , KWDLIST='two = two', TWO=2)
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: createfunc.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: createfunc.pro 375 2008-08-08 15:55:40Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/createpro.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/createpro.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/createpro.html	(revision 402)
@@ -170,4 +170,5 @@
  to specify a list of keywords that must be included in the procedure 
  definition. 
+
  Warning: the string must start with a ',' 
  for example: KWDLIST=', TOTO = toto'
@@ -207,19 +208,21 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> createpro, ['print,''OK'''], FILENAMEIN='test'
- IDL> createpro, ['if keyword_set(ok) then print,''OK'' else print, ''No'''] $
- IDL>   , FILENAMEIN='test', KWDLIST =', ok = ok'
- IDL> createpro, ['if keyword_set(ok) then print,''OK'' else print, ''No'''] $
- IDL>   , FILENAMEIN='test', KWDLIST= ', ok = ok', /ok
+
+   IDL> createpro, ['print,''OK'''], FILENAMEIN='test'
+   IDL> createpro, ['if keyword_set(ok) then print,''OK'' else print, ''No'''] $
+   IDL>   , FILENAMEIN='test', KWDLIST =', ok = ok'
+   IDL> createpro, ['if keyword_set(ok) then print,''OK'' else print, ''No'''] $
+   IDL>   , FILENAMEIN='test', KWDLIST= ', ok = ok', /ok
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: createpro.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: createpro.pro 375 2008-08-08 15:55:40Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
  Sebastien Masson (smasson@lodyc.jussieu.fr)
- cleaning + new keywords: October 2005
- Feb. 2006: supress keyword "kwdused" and use call_procedure instead of execute
+  - cleaning + new keywords: October 2005
+  - Feb. 2006: supress keyword "kwdused" and use call_procedure instead of 
+    execute
 </div>
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/def_myuniquetmpdir.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/def_myuniquetmpdir.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/def_myuniquetmpdir.html	(revision 402)
@@ -122,10 +122,11 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> def_myuniquetmpdir
+
+   IDL> def_myuniquetmpdir
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: def_myuniquetmpdir.pro 325 2007-12-06 10:04:53Z pinsard $
+ $Id: def_myuniquetmpdir.pro 371 2008-08-07 09:32:02Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -145,5 +146,5 @@
 	  
 	  <h4>Uses routines</h4><div class="preformat">
- cm_general
+ <a href="..//Commons/cm_general.html">cm_general</a>
 </div>
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/demomode_compatibility.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/demomode_compatibility.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/demomode_compatibility.html	(revision 402)
@@ -122,5 +122,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: demomode_compatibility.pro 325 2007-12-06 10:04:53Z pinsard $
+ $Id: demomode_compatibility.pro 371 2008-08-07 09:32:02Z pinsard $
 </div>
 	  
@@ -137,5 +137,5 @@
 	  
 	  <h4>Uses routines</h4><div class="preformat">
- cm_general
+ <a href="..//Commons/cm_general.html">cm_general</a>
 </div>
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/directory-overview.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/directory-overview.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/directory-overview.html	(revision 402)
@@ -141,5 +141,5 @@
       
 	<dt><a href="undefine.html">undefine.pro</a></dt>
-	<dd>  erase a variable  same thing like <a href="/Applications/itt/idl64/help/online_help/DELVAR.html">DELVAR</a> but usable in a program and usable  for one variable simultaneously </dd>
+	<dd>  erase a variable   same thing like <a href="/Applications/itt/idl64/help/online_help/DELVAR.html">DELVAR</a> but usable in a program and usable  for one variable simultaneously </dd>
       
 	<dt><a href="xfile.html">xfile.pro</a></dt>
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/find.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/find.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/find.html	(revision 402)
@@ -91,4 +91,5 @@
  a set of possibles names and a different set of
  possibles directories names.
+
  By default look for files included in !path
 
@@ -337,23 +338,24 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> print, find('*loadct')
+
+   IDL> print, find('*loadct')
    /usr/local/rsi/idl_6.0/lib/utilities/xloadct.pro
    /usr/local/rsi/idl_6.0/lib/loadct.pro
- IDL> print, find('*loadct', iodir=!dir,/recursive)
+   IDL> print, find('*loadct', iodir=!dir,/recursive)
    /usr/local/rsi/idl_6.0/lib/loadct.pro
    /usr/local/rsi/idl_6.0/lib/utilities/xloadct.pro
- IDL> print, find('*loadct.pro')
+   IDL> print, find('*loadct.pro')
    /usr/local/rsi/idl_6.0/lib/utilities/xloadct.pro
    /usr/local/rsi/idl_6.0/lib/loadct.pro
- IDL> print, find('*loadct',/nopro)
+   IDL> print, find('*loadct',/nopro)
    NOT FOUND
- IDL> print, find('*loadct', iodir = '/usr/local/rsi/idl_6.0/lib')
+   IDL> print, find('*loadct', iodir = '/usr/local/rsi/idl_6.0/lib')
    /usr/local/rsi/idl_6.0/lib/loadct.pro
- IDL> print, find('*loadct', iodir = '/usr/local/rsi/idl_6.0/lib', /test_write)
+   IDL> print, find('*loadct', iodir = '/usr/local/rsi/idl_6.0/lib', /test_write)
    NOT FOUND
- IDL> print, find('*loadct', iodir = '/usr/local/rsi/idl_6.0/lib', /recursive)
+   IDL> print, find('*loadct', iodir = '/usr/local/rsi/idl_6.0/lib', /recursive)
    /usr/local/rsi/idl_6.0/lib/loadct.pro
    /usr/local/rsi/idl_6.0/lib/utilities/xloadct.pro
- IDL> print, find('mesh*', iodirectory = [iodir, !path])
+   IDL> print, find('mesh*', iodirectory = [iodir, !path])
    /Users/sebastie/DATA/ORCA2/meshmaskORCA2closea.nc
    /Users/sebastie/IDL/meshmaskclosesea.pro
@@ -365,11 +367,11 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: find.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: find.pro 375 2008-08-08 15:55:40Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
  Sebastien Masson (smasson@lodyc.jussieu.fr)
-                       28/4/1999
-                       6/7/1999: compatibility mac and windows
- June 2005: Sebastien Masson: cleaning, use for file_* functions
+  - 28/4/1999
+  - 6/7/1999: compatibility mac and windows
+  - June 2005: Sebastien Masson: cleaning, use for file_* functions
 </div>
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/fitintobox.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/fitintobox.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/fitintobox.html	(revision 402)
@@ -111,5 +111,5 @@
 	
 	  <p class="header">
-	    <span class="result">result = </span>fitintobox(<span class="result"><a href="#_fitintobox_param_field">field</a>[, <a href="#_fitintobox_param_nx">nx</a>][, <a href="#_fitintobox_param_ny">ny</a>][, <a href="#_fitintobox_param_nz">nz</a>][, <a href="#_fitintobox_param_firstx">firstx</a>][, <a href="#_fitintobox_param_firsty">firsty</a>][, <a href="#_fitintobox_param_firstz">firstz</a>][, <a href="#_fitintobox_param_lastx">lastx</a>][, <a href="#_fitintobox_param_lasty">lasty</a>][, <a href="#_fitintobox_param_lastz">lastz</a>]</span>, <a href="#_fitintobox_keyword_WDEPTH">WDEPTH</a>=<span class="result">WDEPTH</span>)</p>
+	    <span class="result">result = </span>fitintobox(<span class="result"><a href="#_fitintobox_param_field">field</a>[, <a href="#_fitintobox_param_nx">nx</a>][, <a href="#_fitintobox_param_ny">ny</a>][, <a href="#_fitintobox_param_nz">nz</a>][, <a href="#_fitintobox_param_firstx">firstx</a>][, <a href="#_fitintobox_param_firsty">firsty</a>][, <a href="#_fitintobox_param_firstz">firstz</a>][, <a href="#_fitintobox_param_lastx">lastx</a>][, <a href="#_fitintobox_param_lasty">lasty</a>][, <a href="#_fitintobox_param_lastz">lastz</a>]</span>, <a href="#_fitintobox_keyword_GRID">GRID</a>=<span class="result">GRID</span>, <a href="#_fitintobox_keyword_WDEPTH">WDEPTH</a>=<span class="result">WDEPTH</span>)</p>
 	
 	  <div class="comments">
@@ -117,6 +117,5 @@
 
 	  <h3>Return value</h3><div class="preformat">
- an array with dimensions matching the domain
- or -1 if there is an error...
+ an array with dimensions matching the domain or -1 if there is an error.
 </div>
 
@@ -274,4 +273,19 @@
 	    <h3>Keywords</h3>
 	    
+	    <h4 id="_fitintobox_keyword_GRID">GRID&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      
+	      
+	      
+  	      
+	      
+	      
+	      <span class="attr">default:</span> <span class="value">vargrid defined in <a href="..//Commons/cm_4data.html">cm_4data</a></span>
+	      
+	    </h4>
+	
+	    <div class="comments"> 
+ To specify on which grid are located the data, see <a href="..//ToBeReviewed/GRILLE/grille.html">grille</a>
+</div>
+	    
 	    <h4 id="_fitintobox_keyword_WDEPTH">WDEPTH&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
@@ -281,10 +295,10 @@
 	      
 	      
-	      
+	      <span class="attr">default:</span> <span class="value">0</span>
 	      
 	    </h4>
 	
 	    <div class="comments">
- To specify that we are at W level
+ To specify that we are at W level, see <a href="..//ToBeReviewed/GRILLE/grille.html">grille</a>
 </div>
 	    
@@ -292,7 +306,8 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> help, fitintobox(findgen(jpi,jpj))
+
+   IDL> help, fitintobox(findgen(jpi,jpj))
  <Expression>    FLOAT     = Array[41, 3]
- IDL> help, fitintobox(findgen(jpi,jpj,78))
+   IDL> help, fitintobox(findgen(jpi,jpj,78))
  Error:
  the array dimensions [180,148,78] are incompatible
@@ -304,5 +319,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: fitintobox.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: fitintobox.pro 388 2008-12-09 09:36:41Z smasson $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -323,6 +338,6 @@
 	  
 	  <h4>Uses routines</h4><div class="preformat">
- cm_4mesh
- cm_4cal
+ <a href="..//Commons/cm_4mesh.html">cm_4mesh</a>
+ <a href="..//Commons/cm_4cal.html">cm_4cal</a>
 </div>
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/isadirectory.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/isadirectory.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/isadirectory.html	(revision 402)
@@ -196,14 +196,14 @@
 	  <h3>Examples</h3><div class="preformat">
 
- IDL> print, !dir
+   IDL> print, !dir
     /usr/local/rsi/idl_6.0
- IDL> print, isadirectory(!dir)
+   IDL> print, isadirectory(!dir)
     /usr/local/rsi/idl_6.0/
- IDL> print, isadirectory(!dir+'notgood')
+   IDL> print, isadirectory(!dir+'notgood')
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: isadirectory.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: isadirectory.pro 371 2008-08-07 09:32:02Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/isafile.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/isafile.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/isafile.html	(revision 402)
@@ -262,20 +262,21 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> print, isafile('/Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro')
-  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
- IDL> print, isafile('cm_4mesh.pro', iodir = '/Users/sebastie/SAXO_RD/Commons')
-  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
- IDL> print, isafile('cm_4mesh.pro', iodir = !path)
-  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
- IDL> print, isafile('cm_4mesh.pro', iodir = '/Users/sebastie/SAXO_RD', /recursive)
-  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
- IDL> print, isafile('cm_4mesh.pro', iodir = getenv('HOME'), /recursive)
-  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
- IDL> print, isafile('fake_file.pro')
+
+   IDL> print, isafile('/Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro')
+  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
+   IDL> print, isafile('cm_4mesh.pro', iodir = '/Users/sebastie/SAXO_RD/Commons')
+  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
+   IDL> print, isafile('cm_4mesh.pro', iodir = !path)
+  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
+   IDL> print, isafile('cm_4mesh.pro', iodir = '/Users/sebastie/SAXO_RD', /recursive)
+  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
+   IDL> print, isafile('cm_4mesh.pro', iodir = getenv('HOME'), /recursive)
+  /Users/sebastie/SAXO_RD/Commons/cm_4mesh.pro
+   IDL> print, isafile('fake_file.pro')
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: isafile.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: isafile.pro 392 2009-02-10 09:34:16Z smasson $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/linearequation.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/linearequation.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/linearequation.html	(revision 402)
@@ -169,6 +169,7 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> abc=linearequation(complex(1,2),[3,4])
- IDL> print, abc[0]*1+abc[1]*2+abc[2]
+
+   IDL> abc=linearequation(complex(1,2),[3,4])
+   IDL> print, abc[0]*1+abc[1]*2+abc[2]
  0.00000
 </div>
@@ -176,5 +177,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: linearequation.pro 325 2007-12-06 10:04:53Z pinsard $
+ $Id: linearequation.pro 371 2008-08-07 09:32:02Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/lineintersection.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/lineintersection.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/lineintersection.html	(revision 402)
@@ -117,9 +117,9 @@
 	  <h3>Return value</h3><div class="preformat">
  2 possibilities:
-      1) by default: it is a vector of complex whose each element is the coordinates
-                     of the intersection point of a pair of straight lines.
-      2) if FLOAT is activated, it is a array of reals of dimension 2,
-         number_of_pairs_of_straight_lines whose each row is the coordinates
-         of the intersection point of a pair of straight line.
+  1) by default: it is a vector of complex whose each element is the 
+     coordinates of the intersection point of a pair of straight lines.
+  2) if FLOAT is activated, it is a array of reals of dimension 2,
+     number_of_pairs_of_straight_lines whose each row is the coordinates
+     of the intersection point of a pair of straight line.
 </div>
 
@@ -188,9 +188,10 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> abc1=linearequation(complex(1,2),[3,4])
- IDL> abc2=linearequation(complex(1,2),[8,15])
- IDL> print, lineintersection(abc1, abc2)
+
+   IDL> abc1=linearequation(complex(1,2),[3,4])
+   IDL> abc2=linearequation(complex(1,2),[8,15])
+   IDL> print, lineintersection(abc1, abc2)
  (      1.00000,      2.00000)
- IDL> print, lineintersection(abc1, abc2,/float)
+   IDL> print, lineintersection(abc1, abc2,/float)
  1.00000      2.00000
 </div>
@@ -198,5 +199,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: lineintersection.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: lineintersection.pro 375 2008-08-08 15:55:40Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/protype.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/protype.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/protype.html	(revision 402)
@@ -147,11 +147,11 @@
 	  <h3>Examples</h3><div class="preformat">
 
- IDL> print, protype('protype')
+   IDL> print, protype('protype')
       func
- IDL> print, protype('protype.pro')
+   IDL> print, protype('protype.pro')
       func
- IDL> print, protype('init')
+   IDL> print, protype('init')
       batch
- IDL> print, protype('plt')
+   IDL> print, protype('plt')
       proc
 </div>
@@ -159,5 +159,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: protype.pro 325 2007-12-06 10:04:53Z pinsard $
+ $Id: protype.pro 371 2008-08-07 09:32:02Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/report.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/report.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/report.html	(revision 402)
@@ -90,4 +90,5 @@
  Like <a href="/Applications/itt/idl64/help/online_help/DIALOG_MESSAGE.html">DIALOG_MESSAGE</a> if there is already some widget
  active or like <a href="/Applications/itt/idl64/help/online_help/MESSAGE.html">MESSAGE</a> if there is not any widget active.
+
  To ask a question whose answer is not yes/no, use <a href="..//ToBeReviewed/WIDGET/xquestion.html">xquestion</a>.
 </div>
@@ -136,4 +137,5 @@
 	  <div class="comments">
  If textin is a scalar string, we look for the line feed character "!C".
+
  If textin is set to an array of strings, each
  array element is displayed as a separate line of text.
@@ -233,11 +235,11 @@
  If there is not any widget activated:
 
- IDL> help, report('toto tata')
+   IDL> help, report('toto tata')
  % $MAIN$: toto tata
  <Expression>    INT       =       -1
- IDL> help, report('does it works ?',/question)
+   IDL> help, report('does it works ?',/question)
  does it works ? y/n (default answer is y)
  <Expression>    BYTE      =    1
- IDL> help, report('question1: !C does it works ?',/question)
+   IDL> help, report('question1: !C does it works ?',/question)
  question1:
  does it works ? y/n (default answer is y)
@@ -249,5 +251,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: report.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: report.pro 375 2008-08-08 15:55:40Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/routine_name.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/routine_name.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/routine_name.html	(revision 402)
@@ -145,13 +145,14 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> print, routine_name()
+
+   IDL> print, routine_name()
   /usr1/com/smasson/IDL_RD/UTILITAIRE/report.pro
-  IDL> print, routine_name(1)
+   IDL> print, routine_name(1)
   /usr1/com/smasson/IDL_RD/PLOTS/DIVERS/determineminmax.pro
-  IDL> print, routine_name(2)
+   IDL> print, routine_name(2)
   /usr1/com/smasson/IDL_RD/PLOTS/DESSINE/plt.pro
-  IDL> print, routine_name(3)
+   IDL> print, routine_name(3)
   $MAIN$
-  IDL> print, routine_name(4)
+   IDL> print, routine_name(4)
   $MAIN$
 </div>
@@ -159,5 +160,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: routine_name.pro 325 2007-12-06 10:04:53Z pinsard $
+ $Id: routine_name.pro 386 2008-12-03 13:26:28Z smasson $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -188,5 +189,5 @@
 	  <h3>Statistics</h3>
 	  <table class="statistics">
-	    <tr><td>McCabe cyclic</td><td>           6</td></tr>
+	    <tr><td>McCabe cyclic</td><td>           9</td></tr>
 	    <tr><td>McCabe essential</td><td>           1</td></tr>
 	    <tr><td>McCabe modular design</td><td>           1</td></tr>
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/testvar.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/testvar.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/testvar.html	(revision 402)
@@ -143,7 +143,7 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> print, testvar(var=toto)
+   IDL> print, testvar(var=toto)
  0
- IDL> print, testvar(var='toto')
+   IDL> print, testvar(var='toto')
  toto
 </div>
@@ -151,5 +151,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: testvar.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: testvar.pro 371 2008-08-07 09:32:02Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/text_box.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/text_box.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/text_box.html	(revision 402)
@@ -188,9 +188,10 @@
 	
 	    <div class="comments">
- background color. Setting BG_COLOR erases the area
-               covered by the text box (filling it with color BG_COLOR)
-               prior to writing the text.  If both BG_COLOR and !p.color
-               are zero then the background color is reset to 255 to
-               guarantee a readability.
+ background color. 
+ Setting BG_COLOR erases the area
+ covered by the text box (filling it with color BG_COLOR)
+ prior to writing the text. If both BG_COLOR and !p.color
+ are zero then the background color is reset to 255 to
+ guarantee a readability.
 </div>
 	    
@@ -276,5 +277,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: text_box.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: text_box.pro 375 2008-08-08 15:55:40Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/undefine.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/undefine.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/undefine.html	(revision 402)
@@ -89,4 +89,5 @@
       <div id="file_comments">
  erase a variable
+
  same thing like <a href="/Applications/itt/idl64/help/online_help/DELVAR.html">DELVAR</a> but usable in a program and usable
  for one variable simultaneously
@@ -143,8 +144,8 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> a=1
- IDL> undefine,a
+   IDL> a=1
+   IDL> undefine,a
  % Compiled module: UNDEFINE.
- IDL> help, a
+   IDL> help, a
  A               UNDEFINED = <Undefined>
 </div>
@@ -152,5 +153,5 @@
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: undefine.pro 325 2007-12-06 10:04:53Z pinsard $
+ $Id: undefine.pro 389 2009-01-27 08:59:35Z smasson $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -182,5 +183,5 @@
 	  <h3>Statistics</h3>
 	  <table class="statistics">
-	    <tr><td>McCabe cyclic</td><td>           1</td></tr>
+	    <tr><td>McCabe cyclic</td><td>           2</td></tr>
 	    <tr><td>McCabe essential</td><td>           1</td></tr>
 	    <tr><td>McCabe modular design</td><td>           1</td></tr>
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/xfile.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/xfile.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/xfile.html	(revision 402)
@@ -89,4 +89,5 @@
       <div id="file_comments">
  display an ASCII file in a widget.
+
  It is the same thing that <a href="/Applications/itt/idl64/help/online_help/XDISPLAYFILE.html">XDISPLAYFILE</a> but here, we use it
  to display the content of a procedure or of a function located in the !path
@@ -166,10 +167,11 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> xfile,'plt'
+
+   IDL> xfile,'plt'
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: xfile.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: xfile.pro 375 2008-08-08 15:55:40Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/xhelp.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/xhelp.html	(revision 338)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/xhelp.html	(revision 402)
@@ -163,10 +163,11 @@
 
 	  <h3>Examples</h3><div class="preformat">
- IDL> xhelp,'plt'
+
+   IDL> xhelp,'plt'
 </div>
 	  <h3>Version history</h3>
 	  
 	  <h4>Version</h4><div class="preformat">
- $Id: xhelp.pro 327 2007-12-13 16:22:35Z pinsard $
+ $Id: xhelp.pro 378 2008-08-12 12:35:46Z pinsard $
 </div>
 	  <h4>History</h4><div class="preformat">
@@ -177,7 +178,7 @@
        Institute for Computational Earth System Science
        University of California, Santa Barbara
-  7/1/99 : legeres modification par Sebastien Masson : utilisation de
-  <proidl>xdisplayfile</proidl>, de <pro>findfile</pro> et de _extra.
-  6/7/1999: compatibility mac and windows
+  - 7/1/99 : legeres modification par Sebastien Masson : utilisation de
+    <a href="/Applications/itt/idl64/help/online_help/XDISPLAYFILE.html">XDISPLAYFILE</a>, de <a href="/Applications/itt/idl64/help/online_help/FINDFILE.html">FINDFILE</a> et de _extra.
+  - 6/7/1999: compatibility mac and windows
 </div>
 	  