Index: /trunk/SRC/Documentation/xmldoc/doidldoc.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 407)
+++ /trunk/SRC/Documentation/xmldoc/doidldoc.sh	(revision 408)
@@ -6,11 +6,10 @@
 # ====
 #
-# idldoc.sh -  build idldoc documentations
-#
+# idldoc.sh - build idldoc documentations
 #
 # SYNOPSYS
 # ========
 #
-# ``doidldoc.sh -i indir -t title -o outdir``
+# ``doidldoc.sh -i indir -t title -o outdir -idldoc_version idldoc_version -idldoc_dir idldoc_dir``
 #
 # DESCRIPTION
@@ -19,7 +18,9 @@
 # Produce HTML files from IDL sources using idldoc.
 #
-# -i  directory input
-# -t  title
-# -o  directory output
+# -i directory input
+# -t title
+# -o directory output
+# -idldoc_version idldoc_version
+# -idldoc_dir idldoc_dir
 #
 # Two pass : first *classic* idldoc then some home made transformation to avoid
@@ -28,5 +29,13 @@
 # The first pass produce files in /tmp/idldoc_output_${$}/ directory.
 #
-# At the end the result is in ``outdir``
+# At the end the result is in ``outdir``.
+#
+#
+# By default, embedded ``idldoc`` 2.0 in SAXO is used.
+#
+# You can specified an other ``idldoc`` implentation by specify directory and
+# version using *idldoc_dir* and *idldoc_version*.
+#
+# Be warned that assitant help is only available with ``idldoc 2.0``.
 #
 # EXAMPLES
@@ -35,15 +44,15 @@
 # Results can be seen be opening a browser on /tmp/idldoc_html_output/index.html
 #
-# To produce SAXO HTML outputs
+# To produce SAXO HTML outputs :
 # ::
 #
-#  $ cd SAXO_ws/SRC/Documentations/xmldoc/
-#  $ doidldoc.sh -i ../.. -t "SAXO Documentation" -o ./idldoc_html_output/
-#
-# To produce AMSU HTML outputs
+# $ cd SAXO_ws/SRC/Documentations/xmldoc/
+# $ doidldoc.sh -i ../.. -t "SAXO Documentation" -o ./idldoc_html_output/
+#
+# To produce AMSU HTML outputs :
 # ::
 #
-#  $ cd /usr/home/fplod/incas/amsu/amsu_ws/
-#  $ doidldoc.sh -i . -t "AMSU Documentation" -o /tmp/idldoc_html_output/
+# $ cd /usr/home/fplod/incas/amsu/amsu_ws/
+# $ doidldoc.sh -i . -t "AMSU Documentation" -o /tmp/idldoc_html_output/
 #
 # TODO
@@ -54,5 +63,5 @@
 # ::
 #
-#  $ export PATH=${HOME}/SAXO_DIR/SRC/Documentation/xmldoc/:${PATH}
+# $ export PATH=${HOME}/SAXO_DIR/SRC/Documentation/xmldoc/:${PATH}
 #
 # ++ pb avec IDL_DIR pas tjs positionné
@@ -60,15 +69,15 @@
 # ::
 #
-#  $ export IDL_DIR=/usr/local_linux/idl/
+# $ export IDL_DIR=/usr/local_linux/idl/
 #
 # or for MacOSX with
 # ::
 #
-#  $ export IDL_DIR=/usr/local_macosx/idl//idl_6.2/idl_6.2/
+# $ export IDL_DIR=/usr/local_macosx/idl//idl_6.2/idl_6.2/
 #
 #
 # ++ choix de la version de idldoc et consequences sur assistant
 #
-# ++ choix de la version de idl et consequences sur assistant et lien sur
+# ++ choix de la version de IDL et consequences sur assistant et lien sur
 # doc idl
 #
@@ -83,56 +92,64 @@
 # $Id$
 #
+# - ++
+#
+# * add idldoc_version and idldoc_dir parameters
+# idldoc version is usefull because parameters of ``idldoc``
+# have been modified (see ``CHARSET`` in 3.1.1.).
+#
+# ``idldoc`` release can not be guessed
+#
 # - fplod 2008-08-11T12:57:48Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * comments in this file in ReST format
-#   * add ``-i``, ``-t`` and ``-o`` parameters
+# * comments in this file in ReST format
+# * add ``-i``, ``-t`` and ``-o`` parameters
 #
 # - fplod 2008-06-20T13:07:59Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * evaluation version 3.1.1
-#
-#     we are not yet still ready to migrate to rst format because of lack of
-#     assistant transformation independant of IDLdoc release (at least
-#     between 2.  and 3.)
+# * evaluation version 3.1.1
+#
+# we are not yet still ready to migrate to rst format because of lack of
+# assistant transformation independant of IDLdoc release (at least
+# between 2. and 3.)
 #
 # - fplod 2008-01-10T08:13:41Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * version http://cookbook.idldev.com/idldoc-3.0rc2.zip
+# * version http://cookbook.idldev.com/idldoc-3.0rc2.zip
 #
 # - fplod 2008-01-03T09:59:18Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * version http://cookbook.idldev.com/idldoc-3.0rc1.zip
+# * version http://cookbook.idldev.com/idldoc-3.0rc1.zip
 #
 # - fplod 2007-12-12T09:47:04Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * version http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b4.zip
+# * version http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b4.zip
 #
 # - fplod 2007-12-11T09:14:04Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * version http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b4-src.zip
-#   * ++ pb path
-#   * beginning of docbook templates writing (from html 3.0b3 tt files)
+# * version http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b4-src.zip
+# * ++ pb path
+# * beginning of docbook templates writing (from html 3.0b3 tt files)
 #
 # - fplod 2007-12-10T09:28:11Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * test with gdl : pas possible car compatibility < 6.1
+# * test with gdl : pas possible car compatibility < 6.1
 #
 # - fplod 2007-12-04T09:21:18Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * version http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b3.zip
-#   * pb parser if ; after ;-
-#   * ++ plus de param et keyword dans l'index
-#   * ++ pas w3c tilte au lieu de title, pas de charset, pas de alt, pas de summary
-#   * ++ css pas ok
-#   * ++ plus de @restrictions
+# * version http://michaelgalloy.com/wp-content/uploads/2007/12/idldoc-3.0b3.zip
+# * pb parser if ; after ;-
+# * ++ plus de param et keyword dans l'index
+# * ++ pas w3c tilte au lieu de title, pas de charset, pas de alt, pas de summary
+# * ++ css pas ok
+# * ++ plus de @restrictions
 #
 # - fplod 2007-12-04T09:10:55Z aedon.locean-ipsl.upmc.fr (Darwin)
 #
-#   * externalisation of idldoc issues from savesaxo.sh
-#   * previous release of idldoc was 2.0
-#   * this tool can be checked by creating doc from Michael Galloy librayry
-#     available on http://www.michaelgalloy.com/lib-docs/
-#   * version http://michaelgalloy.com/wp-content/uploads/2007/11/idldoc-3.0b1.zip
-#   * pas ok ne reconnait pas les @param, @keyword
+# * externalisation of idldoc issues from savesaxo.sh
+# * previous release of idldoc was 2.0
+# * this tool can be checked by creating doc from Michael Galloy librayry
+# available on http://www.michaelgalloy.com/lib-docs/
+# * version http://michaelgalloy.com/wp-content/uploads/2007/11/idldoc-3.0b1.zip
+# * pas ok ne reconnait pas les @param, @keyword
 #-
 #
@@ -148,13 +165,18 @@
 #
 command=$(basename ${0})
-log_date=$(date -u +"%Y-%m-%dT%H:%M:%SZ")
-#
-usage=" Usage : ${command} -i indir -t title -o outdir"
+log_date=$(date -u +"%Y%m%dT%H%M%SZ")
+#
+usage=" Usage : ${command} -i indir -t title -o outdir [-idldoc_dir idldoc_dir -idldoc_version idldoc_version]"
 #
 # default ++ pas encore en parametre
 assistant=0
+#assistant=1
 transform=1
-idldoc_dir="../idldoc/" #
-idldoc_dir="/usr/home/fplod/src/idldoc-3.1.1/" # overriding idldoc_dir for test ++
+command_dir=$(dirname ${0})
+idldoc_dir="${command_dir}/../idldoc/"
+idldoc_version="2.0"
+unset command_dir
+
+#idldoc_dir="/usr/home/fplod/src/idldoc-3.1.1/" # overriding idldoc_dir for test ++
 #
 minargcount=4
@@ -170,22 +192,30 @@
  case ${1} in
  -i)
-  indir=${2}
-  shift
+ indir=${2}
+ shift
  ;;
  -t)
-  title=${2}
-  shift
+ title=${2}
+ shift
  ;;
  -o)
-  outdir=${2}
-  shift
+ outdir=${2}
+ shift
+ ;;
+ -idldoc_dir)
+ idldoc_dir=${2}
+ shift
+ ;;
+ -idldoc_version)
+ idldoc_version=${2}
+ shift
  ;;
  -h)
-  echo "${usage}"
-  exit 0
+ echo "${usage}"
+ exit 0
  ;;
  *) # other choice
-  echo "${usage}"
-  exit 1
+ echo "${usage}"
+ exit 1
  ;;
  esac
@@ -195,5 +225,5 @@
 set -u
 #
-# ++ test si idl (car gdl inutilisable)
+# ++ test si IDL (car GDL inutilisable)
 application=idl
 #
@@ -201,5 +231,5 @@
 memopwd=$(pwd) # should be <working space>/SRC/Documentation/xmldoc
 #
-# build a idl file to launch idldoc
+# build a IDL file to launch idldoc
 outputtmp=/tmp/idldoc_output${$}/
 idldoc_log="/tmp/idldochtml_${$}.log"
@@ -207,5 +237,7 @@
 #
 cd ${idldoc_dir}
-cat << EOF > ${pro}
+case ${idldoc_version} in
+ 3.1.1)
+ cat << EOF > ${pro}
 !path = expand_path('+' + '${idldoc_dir}')
 idldoc,root="${indir}",title="${title}", $
@@ -216,5 +248,21 @@
 exit
 EOF
-# launch idl with the file built above
+ ;;
+ 2.0)
+ cat << EOF > ${pro}
+!path = expand_path('+' + '${idldoc_dir}')
+idldoc,root="${indir}",title="${title}", $
+LOG_FILE="${idldoc_log}", $
+output="${outputtmp}", $
+overview="../../overview", /statistics, /preformat
+exit
+EOF
+ ;;
+ *)
+  echo "eee : idldoc version not implemented ${idldoc_version}"
+  exit 1
+ ;;
+esac
+# launch IDL with the file built above
 export IDL_STARTUP=${pro}
 ${application}
@@ -245,22 +293,22 @@
  # retrieve the path of html file relative to memopwd (so relative to
  # output). This path will be used in "Source" link.
- nblev2=$(dirname ${file_html} |  sed -e "s@/\$@@" | awk -F "/" '{print NF}')
+ nblev2=$(dirname ${file_html} | sed -e "s@/\$@@" | awk -F "/" '{print NF}')
  difflev=$((${nblev2} - ${nblev1}))
  if [ ${difflev} -ge 2 ]
  then
-  ilev=1
-  reloutput_html=".."
-  while [ ${ilev} -le ${difflev} ]
-  do
-   reloutput_html="${reloutput_html}/.."
-   ilev=$(( ${ilev} + 1 ))
-  done
-  relpath_html=$(dirname ${file_html} | \
-  sed \
-  -e "s@${outputtmp}@${reloutput_html}@" \
-  -e "s@\$@/@")
-  # echo "relpath ${relpath_html})"
+ ilev=1
+ reloutput_html=".."
+ while [ ${ilev} -le ${difflev} ]
+ do
+ reloutput_html="${reloutput_html}/.."
+ ilev=$(( ${ilev} + 1 ))
+ done
+ relpath_html=$(dirname ${file_html} | \
+ sed \
+ -e "s@${outputtmp}@${reloutput_html}@" \
+ -e "s@\$@/@")
+ # echo "relpath ${relpath_html})"
  else
-  relpath_html="./"
+ relpath_html="./"
  fi
  # echo "relpath ${relpath_html}/${bfile}"
@@ -303,6 +351,6 @@
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during pro2href.sh for <pro>...</pro>"
-   exit 1
+ echo "eee : pb during pro2href.sh for <pro>...</pro>"
+ exit 1
 fi
 # replace <proidl>ginette</proidl> by a sequence like
@@ -312,6 +360,6 @@
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during pro2href.sh for <proidl>...</proidl>"
-   exit 1
+ echo "eee : pb during pro2href.sh for <proidl>...</proidl>"
+ exit 1
 fi
 fi # end of transform = 1
@@ -320,8 +368,13 @@
 if [ ${assistant} -eq 1 ]
 then
-# build a idl file to launch idldoc
-idldoc_log="/tmp/idldocassistant_${$}.log"
-pro="/tmp/idldocassistant_${$}.pro"
-cat <<EOF > ${pro}
+ # build a IDL file to launch idldoc
+ idldoc_log="/tmp/idldocassistant_${$}.log"
+ pro="/tmp/idldocassistant_${$}.pro"
+ case ${idldoc_version} in
+ 3.1.1)
+  echo "iii : assistant is not feasable with idldoc > 2.0"
+ ;;
+ 2.0)
+  cat << EOF > ${pro}
 !path = expand_path('+' + '${idldoc_dir}')
 idldoc,root="${indir}",title="${title}", $
@@ -330,5 +383,13 @@
 exit
 EOF
-# launch idl with the file built above
+ ;;
+ *)
+  echo "eee : idldoc version not implemented ${idldoc_version}"
+  exit 1
+ ;;
+esac
+more ${pro}
+read a
+# launch IDL with the file built above
 IDL_STARTUP=${pro};${IDL_DIR}/bin/idl
 /bin/rm ${pro}
@@ -336,5 +397,5 @@
 # lines produced by idldoc :
 # examples :
-# <!-- Generated by IDLdoc 2.0 on Wed Jun  7 10:25:28 2006 -->
+# <!-- Generated by IDLdoc 2.0 on Wed Jun 7 10:25:28 2006 -->
 # will be replaced by
 # <!-- Generated by IDLdoc 2.0 -->
@@ -342,5 +403,5 @@
 # will be replaced by
 # <p><font color="gray" size="-3">&nbsp;&nbsp;Produced by IDLdoc 2.0</font></p>
-# <h2>Produced on Wed Jun  7 10:23:13 2006</h2>
+# <h2>Produced on Wed Jun 7 10:23:13 2006</h2>
 # will be delete
 # other lines will be deleted because the time is the time of checkout not
@@ -348,7 +409,7 @@
 # the sequence of lines
 #<dl>
-#      <dt>Last modification:</dt>
-#       <dd>Fri Jun  2 11:46:24 2006</dd>
-#    </dl>
+# <dt>Last modification:</dt>
+# <dd>Fri Jun 2 11:46:24 2006</dd>
+# </dl>
 # should also be removed ++ je ne sais pas dire en sed la ligne
 # suivant l'occurence de Last modification
@@ -356,5 +417,5 @@
 # with _keyword_
 #++ -e 's@\(href="#_.*\)\(_param_\)\(.*"\)@\1_keyword_\3@g' \ # ++ pb global
-#  ONLINE_HELP, book="../idldoc_assistant_output/idldoc-lib.adp", /full_path    # won't work
+# ONLINE_HELP, book="../idldoc_assistant_output/idldoc-lib.adp", /full_path # won't work
 # encaspulate example content in <pre> </pre> in idldoc assistant outputs
 # Examples section is supposed to start with <h3>Examples</h3>
@@ -385,15 +446,15 @@
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during pro2href.sh for <pro>...</pro>"
-   exit 1
+ echo "eee : pb during pro2href.sh for <pro>...</pro>"
+ exit 1
 fi
 # replace <proidl>ginette</proidl> by a sequence like
 # <a href="./ginette.html">ginette</a>
-pro2href.sh  -i ${outputtmp} -r ${IDL_DIR}/help/online_help -e proidl
+pro2href.sh -i ${outputtmp} -r ${IDL_DIR}/help/online_help -e proidl
 status=${?}
 if [ ${status} -ne 0 ]
 then
-   echo "eee : pb during pro2href.sh for <proidl>...</proidl>"
-   exit 1
+ echo "eee : pb during pro2href.sh for <proidl>...</proidl>"
+ exit 1
 fi
 # add the directory-overview.html from dir-files.html in idldoc_html_output
@@ -401,7 +462,7 @@
 for file_html in ${list_html}
 do
-  fout=../idldoc_assistant_output/${file_html#../idldoc_html_output/*}
-  fout=${fout%/*}/directory-overview.html
-  cp ${file_html} ${fout}
+ fout=../idldoc_assistant_output/${file_html#../idldoc_html_output/*}
+ fout=${fout%/*}/directory-overview.html
+ cp ${file_html} ${fout}
 done
 # copy listings.css (needed by directory-overview.html files)
@@ -420,11 +481,11 @@
 for i in $( find ../.. -name "*.pro" )
 do
-  nhtml=$( find ../.. -name $( basename ${i} .pro ).html | wc -l )
-  if [ ${nhtml} -ne 2 ]
-	  then
-	  echo "ERROR there is not 2 $( basename ${i} .pro ).html files"
-	  find ../.. -name $( basename ${i} .pro ).html
-	  echo
-  fi
+ nhtml=$( find ../.. -name $( basename ${i} .pro ).html | wc -l )
+ if [ ${nhtml} -ne 2 ]
+	 then
+	 echo "ERROR there is not 2 $( basename ${i} .pro ).html files"
+	 find ../.. -name $( basename ${i} .pro ).html
+	 echo
+ fi
 done
 #
Index: /trunk/SRC/Documentation/xmldoc/faqsaxo.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 407)
+++ /trunk/SRC/Documentation/xmldoc/faqsaxo.xml	(revision 408)
@@ -24,5 +24,5 @@
 exemple de l'entité incluse)
 -->
-<title>Frequently Asked questions about SAXO</title>
+<title>Frequently Asked Questions about SAXO</title>
   <info>
     <authorgroup>
Index: /trunk/SRC/Documentation/xmldoc/svnbasiccommands.xml
===================================================================
--- /trunk/SRC/Documentation/xmldoc/svnbasiccommands.xml	(revision 407)
+++ /trunk/SRC/Documentation/xmldoc/svnbasiccommands.xml	(revision 408)
@@ -33,5 +33,5 @@
       <author><personname><firstname>Sébastien</firstname> <surname>Masson</surname></personname> <email>Sebastien.Masson_at_locean-ipsl.upmc.fr</email></author>
     </authorgroup>
- <pubdate>$Id</pubdate>
+ <pubdate>$Id$</pubdate>
 </info>
 
@@ -60,5 +60,5 @@
 
 <screen>
- <prompt>$</prompt> <userinput>svn co svn+ssh://<replaceable>YOUR_LOGIN</replaceable>@forge.ipsl.jussieu.fr/ipsl/forge/projets/&project;/svn/trunk ~/&project;</userinput>
+ <prompt>$</prompt> <userinput>svn checkout svn+ssh://<replaceable>YOUR_LOGIN</replaceable>@forge.ipsl.jussieu.fr/ipsl/forge/projets/&project;/svn/trunk ~/&project;</userinput>
 </screen>
 </para>
@@ -116,8 +116,15 @@
 
 <para>
-Add a new file to &project;
+Add a new file to &project; :
 
 <screen>
  <prompt>$</prompt> <userinput>svn add <replaceable>file_name</replaceable></userinput>
+</screen>
+</para>
+<para>
+If <replaceable>file_name</replaceable> is not in the working space (here ~/&project;), you must copy it. 
+For example :
+<screen>
+ <prompt>$</prompt> <userinput>cp -p <replaceable>another_directory</replaceable> ~/&project;/</userinput>
 </screen>
 </para>
@@ -203,5 +210,5 @@
 
 <programlisting>
-$Id$
+&dollar;Id&dollar;
 </programlisting>
 </para>
@@ -216,5 +223,5 @@
 
 <para>
-Next time you download/update you file, <literal>$Id$</literal> will be automatically replaced by the version tag.
+Next time you download/update you file, <literal>&dollar;Id&dollar;</literal> will be automatically replaced by the version tag.
 </para>
 </sect1>