Index: /trunk/SRC/Documentation/xmldoc/makefile
===================================================================
--- /trunk/SRC/Documentation/xmldoc/makefile	(revision 408)
+++ /trunk/SRC/Documentation/xmldoc/makefile	(revision 409)
@@ -1,13 +1,24 @@
 #
-# module :
+# module
+# ======
+#
 # generation of documentations from XML files (and some IDL files) in HTML and
 # wiki forms
 #
-# original location :
+# FILES
+# =====
+#
 # /Users/fplod/SAXO_DIR_ws/SRC/Documentation/xmldoc/makefile sur aedon.locean-ipsl.upmc.fr
 #
-# update :
+# EVOLUTIONS
+# ==========
+#
 # $Id$
-# fplod 2008-04-16T10:06:39Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+# - fplod 20091106T143104Z aedon.locean-ipsl.upmc.fr (Darwin)
+#
+#   * better usage of $<
+#
+# - fplod 2008-04-16T10:06:39Z aedon.locean-ipsl.upmc.fr (Darwin)
 # working on wiki production using
 # http://xmlstar.sourceforge.net/doc/UG/xmlstarlet-ug.html
@@ -115,13 +126,13 @@
 
 $(DIRWIKI)/WikiStart : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/websaxo_full.xml
+$(DIRTMP)/websaxo_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
 	@xsltproc \
 	--output ginette \
 	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/websaxo_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/websaxo_full.xml | \
+	$<
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
 	sed -e "s+@star@+ *+" \
@@ -141,5 +152,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/websaxo_full.xml
+	$<
 
 $(DIRTMP)/websaxo_full.xml : \
@@ -150,12 +161,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/websaxo.xml
+	$<
 
 $(DIRWIKI)/SvnBasicCommands : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/svnbasiccommands_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/svnbasiccommands_full.xml | \
+$(DIRTMP)/svnbasiccommands_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -175,5 +186,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/svnbasiccommands_full.xml
+	$<
 
 $(DIRTMP)/svnbasiccommands_full.xml : \
@@ -184,12 +195,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/svnbasiccommands.xml
+	$<
 
 $(DIRWIKI)/FaqSaxo : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/faqsaxo_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/faqsaxo_full.xml | \
+$(DIRTMP)/faqsaxo_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -209,5 +220,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/faqsaxo_full.xml
+	$<
 
 $(DIRTMP)/faqsaxo_full.xml : \
@@ -218,12 +229,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/faqsaxo.xml
+	$<
 
 $(DIRWIKI)/GetSaxo : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/getsaxo_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/getsaxo_full.xml | \
+$(DIRTMP)/getsaxo_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -243,23 +254,26 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/getsaxo_full.xml
-
-$(DIRTMP)/getsaxo_full.xml : \
+	$<
+
+$(DIRTMP)/getsaxo_sed.xml : \
 $(DIRSRC)/getsaxo.xml \
 $(DIRSRC)/getsaxo_pre.sh
 	@$(DIRSRC)/getsaxo_pre.sh
-	@xmllint \
-	--xinclude \
-	--encode utf-8 \
-	--noent \
-	--output $@ \
-	$(DIRTMP)/getsaxo_sed.xml
+
+$(DIRTMP)/getsaxo_full.xml : \
+$(DIRTMP)/getsaxo_sed.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$<
 
 $(DIRWIKI)/FirstSteps : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/firststeps_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/firststeps_full.xml | \
+$(DIRTMP)/firststeps_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -279,12 +293,12 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/firststeps_full.xml
+	$<
 
 $(DIRWIKI)/AllPlots : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/all_plots.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/all_plots.xml | \
+$(DIRTMP)/all_plots.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -304,32 +318,35 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/all_plots.xml
+	$<
 
 
 $(DIRTMP)/all_plots.xml : \
-$(DIRSRC)/all_plots_docbook.xsl \
-$(DIRTMP)/firststeps_full.xml
+$(DIRTMP)/firststeps_full.xml \
+$(DIRSRC)/all_plots_docbook.xsl
 	@xsltproc \
 	--output $@ \
 	$(DIRSRC)/all_plots_docbook.xsl \
-	$(DIRTMP)/firststeps_full.xml
+	$<
+
+$(DIRTMP)/firststeps_sed.xml : \
+$(DIRSRC)/firststeps_pre.sh \
+$(DIRSRC)/firststeps.xml
+	@$(DIRSRC)/firststeps_pre.sh
 
 $(DIRTMP)/firststeps_full.xml : \
-$(DIRSRC)/firststeps.xml \
-$(DIRSRC)/firststeps_pre.sh
-	@$(DIRSRC)/firststeps_pre.sh
-	@xmllint \
-	--xinclude \
-	--encode utf-8 \
-	--noent \
-	--output $@ \
-	$(DIRTMP)/firststeps_sed.xml
+$(DIRTMP)/firststeps_sed.xml
+	@xmllint \
+	--xinclude \
+	--encode utf-8 \
+	--noent \
+	--output $@ \
+	$<
 
 $(DIRWIKI)/Mailing : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/mailing_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/mailing_full.xml | \
+$(DIRTMP)/mailing_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -349,5 +366,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/mailing_full.xml
+	$<
 
 $(DIRTMP)/mailing_full.xml : \
@@ -358,12 +375,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/mailing.xml
+	$<
 
 $(DIRWIKI)/MiniNotice : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/mini_notice_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/mini_notice_full.xml | \
+$(DIRTMP)/mini_notice_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -385,5 +402,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/mini_notice_full.xml
+	$<
 
 $(DIRTMP)/mini_notice_full.xml : \
@@ -394,12 +411,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/mini_notice.xml
+	$<
 
 $(DIRWIKI)/TipLink : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/tiplink_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/tiplink_full.xml | \
+$(DIRTMP)/tiplink_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -419,5 +436,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/tiplink_full.xml
+	$<
 
 $(DIRTMP)/tiplink_full.xml : \
@@ -428,12 +445,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/tiplink.xml
+	$<
 
 $(DIRWIKI)/InfoUpdateCm : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/infoupdatecm_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/infoupdatecm_full.xml | \
+$(DIRTMP)/infoupdatecm_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -453,5 +470,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/infoupdatecm_full.xml
+	$<
 
 $(DIRTMP)/infoupdatecm_full.xml : \
@@ -463,12 +480,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/infoupdatecm.xml
+	$<
 
 $(DIRWIKI)/InfoUpdateKwd : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/infoupdatekwd_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/infoupdatekwd_full.xml | \
+$(DIRTMP)/infoupdatekwd_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -488,5 +505,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/infoupdatekwd_full.xml
+	$<
 
 $(DIRTMP)/infoupdatekwd_full.xml : \
@@ -498,10 +515,10 @@
 	--noent \
 	--output $@ \
-	$(DIRTMP)/infoupdatekwd.xml
+	$<
 
 $(DIRTMP)/rowscm.xml : \
 ../../ForOldVersion/updateold.pro
 	@echo "<tbody>" > $@
-	@grep "IF NOT key_forgetold AND n_elements(\(.* = .*\)" ../../ForOldVersion/updateold.pro | \
+	@grep "IF NOT key_forgetold AND n_elements(\(.* = .*\)" $< | \
 	sort | \
 	sed -e "s/\(^.* THEN \)\(.*\)\( = \)\(.*\)/<row><entry colname='old'><varname>\2<\/varname><\/entry> <entry colname='new'><varname>\4<\/varname><\/entry><\/row>/" >> $@
@@ -511,5 +528,5 @@
 ../../ForOldVersion/updatekwd.pro
 	@echo "<tbody>" > $@
-	@grep "^  old = \[old, .* new = \[new" ../../ForOldVersion/updatekwd.pro | \
+	@grep "^  old = \[old, .* new = \[new" $< | \
 	sort | \
 	sed -e "s/\( old = \[old, '\)\(.*\)\('\] *& new = \[new, '\)\(.*\)\('\]\)/<row><entry colname='old'><varname>\2<\/varname><\/entry> <entry colname='new'><varname>\4<\/varname><\/entry><\/row>/" >> $@
@@ -518,9 +535,9 @@
 
 $(DIRWIKI)/WhatisSaxo : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/whatissaxo_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/whatissaxo_full.xml | \
+$(DIRTMP)/whatissaxo_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -540,5 +557,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/whatissaxo_full.xml
+	$<
 
 $(DIRTMP)/whatissaxo_full.xml : \
@@ -549,12 +566,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/whatissaxo.xml
+	$<
 
 $(DIRWIKI)/WhatsNew : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/whatsnew_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/whatsnew_full.xml | \
+$(DIRTMP)/whatsnew_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -574,5 +591,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/whatsnew_full.xml
+	$<
 	
 $(DIRTMP)/whatsnew_full.xml : \
@@ -583,12 +600,12 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/whatsnew.xml
+	$<
 
 $(DIRWIKI)/UpdateSaxo : \
-$(DIRSRC)/saxo_tracwiki.xsl \
-$(DIRTMP)/updatesaxo_full.xml
-	@xsltproc \
-	$(DIRSRC)/saxo_tracwiki.xsl \
-	$(DIRTMP)/updatesaxo_full.xml | \
+$(DIRTMP)/updatesaxo_full.xml \
+$(DIRSRC)/saxo_tracwiki.xsl
+	@xsltproc \
+	$(DIRSRC)/saxo_tracwiki.xsl \
+	$< | \
 	awk 'sub(/ @star@ $$/,""){printf(" * %s", $$0);next};1' | \
         sed -e "s+@star@+*+" \
@@ -608,5 +625,5 @@
 	--output $@ \
 	$(DIRSRC)/saxo_html.xsl \
-	$(DIRTMP)/updatesaxo_full.xml
+	$<
 	
 $(DIRTMP)/updatesaxo_full.xml : \
@@ -617,5 +634,5 @@
 	--noent \
 	--output $@ \
-	$(DIRSRC)/updatesaxo.xml
+	$<
 
 $(DIRTMP)/titlepage.saxo.xsl : \
@@ -624,4 +641,3 @@
 	--output $@ \
 	http://docbook.sourceforge.net/release/xsl/current/template/titlepage.xsl \
-	$(DIRSRC)/titlepage.saxo.xml \
-	$(DIRSRC)/titlepage.saxo.xml
+	$<